微慑信息网

CVE-2008-1285-漏洞详情

CVE-2008-1285
CVSS 4.3
发布时间 :2008-03-11 13:44:00
修订时间 :2011-03-07 22:06:27
NMCOS    

[原文]Cross-site scripting (XSS) vulnerability in Sun Java Server Faces (JSF) 1.2 before 1.2_08 allows remote attackers to inject arbitrary web script or HTML via unknown vectors.


[CNNVD]Sun Java Server Faces跨站脚本攻击漏洞(CNNVD-200803-183)

        1.2_08版本以前的Sun Java Server Faces (JSF) 1.2中的跨站脚本攻击漏洞会允许远程攻击者通过未知向量来注入任意web脚本或HTML。


CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]


CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]


CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用


OVAL (用于检测的技术细节)

未找到相关OVAL定义


官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-1285

(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2008-1285

(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200803-183

(官方数据源) CNNVD


其它链接及资源

http://sunsolve.sun.com/search/document.do?assetkey=1-26-233561-1


(PATCH)  SUNALERT  233561
https://jira.jboss.org/jira/browse/JBPAPP-682


(UNKNOWN)  CONFIRM  https://jira.jboss.org/jira/browse/JBPAPP-682
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=437082


(UNKNOWN)  CONFIRM  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=437082
http://www.vupen.com/english/advisories/2008/0808/references


(UNKNOWN)  VUPEN  ADV-2008-0808
http://www.securitytracker.com/id?1020628


(UNKNOWN)  SECTRACK  1020628
http://www.securityfocus.com/bid/28192


(UNKNOWN)  BID  28192
http://www.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/4.3.0.cp01/html-single/readme/


(UNKNOWN)  CONFIRM  http://www.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/4.3.0.cp01/html-single/readme/
http://www.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/4.2.0.cp03/html-single/readme/index.html


(UNKNOWN)  CONFIRM  http://www.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/4.2.0.cp03/html-single/readme/index.html
http://rhn.redhat.com/errata/RHSA-2008-0828.html


(UNKNOWN)  REDHAT  RHSA-2008:0828
http://rhn.redhat.com/errata/RHSA-2008-0827.html


(UNKNOWN)  REDHAT  RHSA-2008:0827
http://rhn.redhat.com/errata/RHSA-2008-0826.html


(UNKNOWN)  REDHAT  RHSA-2008:0826
http://rhn.redhat.com/errata/RHSA-2008-0825.html


(UNKNOWN)  REDHAT  RHSA-2008:0825
http://secunia.com/advisories/29327


(UNKNOWN)  SECUNIA  29327


漏洞信息

Sun Java Server Faces跨站脚本攻击漏洞
中危 跨站脚本
2008-03-11 00:00:00 2008-09-11 00:00:00
远程  
        1.2_08版本以前的Sun Java Server Faces (JSF) 1.2中的跨站脚本攻击漏洞会允许远程攻击者通过未知向量来注入任意web脚本或HTML。


公告与补丁

        目前厂商已经发布了以修复这个安全问题,补丁下载链接:

        Sun Java Server Faces 1.2

        Sun 1.2_08 binary

        https://javaserverfaces.dev.java.net/files/documents/1866/87641/mojarra-1.2_08-FCS-binary.zip

        


漏洞信息


42713
Sun Java Server Faces (JSF) Unspecified XSS

Remote / Network Access

Input Manipulation
Loss of Integrity Patch / RCS
Vendor Verified


漏洞描述


时间线


2008-02-27

Unknow
Unknow Unknow


解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Sun has released a patch to address this vulnerability.


相关参考


漏洞作者

Unknown or Incomplete


漏洞信息

Sun Java Server Faces Cross-Site Scripting Vulnerability

Input Validation Error

28192
Yes No
2008-02-27 12:00:00 2008-08-05 02:17:00

The vendor reported this issue.


受影响的程序版本

Sun Java Server Faces 1.2

Red Hat JBoss Enterprise Application Platform 4.3 EL5

Red Hat JBoss Enterprise Application Platform 4.3 EL4

Red Hat JBoss Enterprise Application Platform 4.3

Red Hat JBoss Enterprise Application Platform 4.2 EL5

Red Hat JBoss Enterprise Application Platform 4.2 EL4

Red Hat JBoss Enterprise Application Platform 4.2

Sun Java Server Faces 1.2_08

Red Hat JBoss Enterprise Application Platform 4.3 .CP01

Red Hat JBoss Enterprise Application Platform 4.2 .CP03


不受影响的程序版本

Sun Java Server Faces 1.2_08

Red Hat JBoss Enterprise Application Platform 4.3 .CP01

Red Hat JBoss Enterprise Application Platform 4.2 .CP03


漏洞讨论

Sun Java Server Faces is prone to a cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input.



An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of an affected site running an application that is based on Java Server Faces. This may help the attacker steal cookie-based authentication credentials and launch other attacks.



Sun Java Server Faces 1.2 is vulnerable; other versions may be affected as well.


漏洞利用

An attacker can exploit this issue by enticing an unsuspecting user to follow a malicious URI.


解决方案

The vendor released Sun Java Server Faces 1.2_08 to address this issue. Please see the references for more information.







Sun Java Server Faces 1.2


相关参考

本文标题:CVE-2008-1285-漏洞详情
本文链接:
(转载请附上本文链接)
http://vulsee.com/archives/vulsee_2019/0713_2903.html
转载请附本站链接,未经允许不得转载,,谢谢:微慑信息网-VulSee.com » CVE-2008-1285-漏洞详情
分享到: 更多 (0)

评论 抢沙发

评论前必须登录!

 

微慑信息网 专注工匠精神

访问我们联系我们